Merge branch 'bump-wp-compat' into 'master'

Bump WP compat

See merge request !15
10 jobs for master in 2 minutes and 52 seconds (queued for 4 seconds)
latest
Status Name Job ID Coverage
  Test
passed PHPCS #14391

00:01:24

passed PHPunit:PHP5.3:MySQL #14383

00:02:36

passed PHPunit:PHP5.6:MySQL #14384

00:01:43

passed PHPunit:PHP7.0:MySQL #14385

00:01:42

passed PHPunit:PHP7.1:MySQL #14386

00:01:48

passed PHPunit:PHP7.2:MySQL #14387

00:01:43

passed PHPunit:PHP7.3:MySQL #14388

00:01:58

passed PHPunit:PHP7.4:MySQL #14389

00:01:32

failed PHPunit:PHP8.0:MySQL #14390
allowed to fail

00:01:36

 
  Deploy
passed PluginSVN #14392

00:00:16

 
Name Stage Failure
failed
PHPunit:PHP8.0:MySQL Test
No syntax errors detected in ./tests/bootstrap.php
No syntax errors detected in ./tests/test-post-filters.php
No syntax errors detected in ./view-all-posts-pages.php
$ phpunit

Warning: Class "PHPUnit\Util\Getopt" not found in /tmp/wordpress-tests-lib/includes/phpunit6/compat.php on line 17
Error: Looks like you're using PHPUnit 9.5.9. WordPress requires at least PHPUnit 5.4 and is currently only compatible with PHPUnit up to 7.x.
Please use the latest PHPUnit version from the 7.x branch.
Cleaning up file based variables
ERROR: Job failed: exit code 1